h23682
s 00002/00000/00069
d D 1.3 83/03/16 16:52:27 mjb 3 2
c 
e
s 00011/00000/00058
d D 1.2 83/03/10 19:33:47 mjb 2 1
c 
e
s 00058/00000/00000
d D 1.1 83/03/02 17:53:28 mjb 1 0
c date and time created 83/03/02 17:53:28 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine graph9
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Output a pie chart to the current device               #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer i, j, k, numpts, sindex, kindex(16)

I 3
real rtemp1

E 3
include(`gattcom')

# Assumptions:
#   - the common block 'piecom' has been updated and properly set for
#     outputting a pie chart

# obtain the number of data points
if (bpddef > 0) {
   numpts = bpddef

   # output the pie chart
   call piegrf (numpts, zydata)

   do i=1,numpts {            # Initialize kindex array from ntpray set in
      kindex(i) = ntpray(i)   # setpie
      }

   # label the chart via kindex array set in setpie
   do i=1, numpts {
      sindex = kindex(i)
      k = (sindex-1)*19 + 1
      j = 0
      while (bplabl(k) != NUL) {
         j = j+1
         ntpray(j) = bplabl(k)
	 k = k + 1
         }
      if (j > 0) call pielbl (i, j, ntpray)
      }
   }

I 2
if (bpbrfg(1) == BIGY) {

   # * Outline the graph
   i = bpbrcl
   rtemp1 = bpbrwd - 1
   rtemp1 = rtemp1 / 10.0
   call linatt (i, 1, rtemp1)
   call frame (0.,100.,0.,100.)
   call linatt (1, 1, 0.)
   }

E 2
return
end
E 1
